[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":listBooks" label="Books"]]
  <li class="breadcrumb-item">
    <semantic-query
      query='SELECT ?book_name ?book WHERE { ?book ecrm:P3_has_note ?book_name . BIND(<[[urlParam "bookiri"]]> as ?book ) }'
      template='{{#each bindings}}
        <semantic-link uri="{{book.value}}" urlqueryparam-tab="publication">{{book_name.value}}</semantic-link>
      {{/each}}'
    >
    </semantic-query>
  </li>
</ol>

[[#if (urlParam "carriedoutbyiri")]]
  <h2>Edit publisher of book</h2>
[[else]]
  <h2>Add publisher to book</h2>
[[/if]]

[[#if (urlParam "bookiri")]]
<semantic-query
	query='SELECT ?book_name WHERE { ?book ecrm:P3_has_note ?book_name . BIND(<[[urlParam "bookiri"]]> as ?book ) }'
  template='<p> Use this form to assign a publisher to the book {{#each bindings}} {{book_name.value}} {{/each}}</p>'
>
</semantic-query>

 <semantic-form
  fields="[[fieldDefinitions
    note="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/note"
  	publisher="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/publisher"
		publisher_role="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/publisher_role"
    record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/carried_out_by"
  ]]"
  browser-persistence="false"
  persistence="LDP"
  post-action="[[urlParam "bookiri"]]"
  urlqueryparam-tab="publication"
	subject="[[#if (urlParam "carriedoutbyiri")]][[urlParam "carriedoutbyiri"]][[else]][[urlParam "bookiri"]]/publication/publisher/[[singleValueFromSelect "SELECT ?uuid WHERE {BIND(STRUUID() as ?uuid )}"]][[/if]]"
>
 <semantic-form-select-input for="publisher"></semantic-form-select-input>

  <div class="gap-bottom">
    <mp-overlay-dialog title="Create new publisher" type="modal" bs-size="large">
      <mp-overlay-dialog-trigger><a>Create new person</a></mp-overlay-dialog-trigger>
      <mp-overlay-dialog-content>
        <div width="800px">
          <mp-page-loader iri="http://sphaera.mpiwg-berlin.mpg.de/resource/createPerson" urlqueryparam-noredirect="true">
          </mp-page-loader>
        </div>
      </mp-overlay-dialog-content>
    </mp-overlay-dialog>
  </div>

  <p>Add a justification for the person assignment, e.g. add a quote from the book.</p>
  <semantic-form-text-input for="note"></semantic-form-text-input>

 <div class="disabled hidden-field">
   <semantic-form-text-input for="record_type"></semantic-form-text-input>
   <semantic-form-text-input for="publisher_role"></semantic-form-text-input>
 </div>
  <div class="text-right form-submit">
		<semantic-link uri="[[urlParam "bookiri"]]" urlqueryparam-tab="publication" class="btn btn-default btn-md">Cancel</semantic-link>
    <button name="submit" class="btn btn-primary btn-md">Save</button>
  </div>
</semantic-form>

[[> :modalAddAnnotationToBook resourceiri="bookiri"]]

[[else]]
	No book has been selected. This form needs to be accessed via a book record.
[[/if]]

[[> :footer]]
